com.corticon.rulesemf.canonicalrulemodel.ruleflow.util

## Class RuleflowAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - com.corticon.rulesemf.canonicalrulemodel.ruleflow.util.RuleflowAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory

      public class RuleflowAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `RuleflowPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static RuleflowPackage` | `modelPackage` The cached model package
    `protected RuleflowSwitch` | `modelSwitch` The switch that delegates to the `createXXX` methods

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleflowAdapterFactory()` Creates an instance of the adapter factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createActivityNodeAdapter()` Creates a new adapter for an object of class '`Activity Node`'
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`
    `org.eclipse.emf.common.notify.Adapter` | `createConnectorAdapter()` Creates a new adapter for an object of class '`Connector`'
    `org.eclipse.emf.common.notify.Adapter` | `createDecisionAdapter()` Creates a new adapter for an object of class '`Decision`'
    `org.eclipse.emf.common.notify.Adapter` | `createDecisionNodeAdapter()` Creates a new adapter for an object of class '`Decision Node`'
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case
    `org.eclipse.emf.common.notify.Adapter` | `createFlowAdapter()` Creates a new adapter for an object of class '`Flow`'
    `org.eclipse.emf.common.notify.Adapter` | `createFlowControlAdapter()` Creates a new adapter for an object of class '`Flow Control`'
    `org.eclipse.emf.common.notify.Adapter` | `createRuleActivityAdapter()` Creates a new adapter for an object of class '`Rule Activity`'
    `org.eclipse.emf.common.notify.Adapter` | `createRuleflowAdapter()` Creates a new adapter for an object of class '`Ruleflow`'
    `org.eclipse.emf.common.notify.Adapter` | `createRuleModelElementAdapter()` Creates a new adapter for an object of class '`Rule Model Element`'
    `org.eclipse.emf.common.notify.Adapter` | `createSubflowAdapter()` Creates a new adapter for an object of class '`Subflow`'
    `org.eclipse.emf.common.notify.Adapter` | `createTerminateNodeAdapter()` Creates a new adapter for an object of class '`Terminate Node`'
    `boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static RuleflowPackage modelPackage

      The cached model package.

    - #### modelSwitch

          protected RuleflowSwitch modelSwitch

      The switch that delegates to the `createXXX` methods.

  - ### Constructor Detail

    - #### RuleflowAdapterFactory

          public RuleflowAdapterFactory()

      Creates an instance of the adapter factory.

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.

    - #### createActivityNodeAdapter

          public org.eclipse.emf.common.notify.Adapter createActivityNodeAdapter()

      Creates a new adapter for an object of class '`Activity Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ActivityNode`

    - #### createDecisionAdapter

          public org.eclipse.emf.common.notify.Adapter createDecisionAdapter()

      Creates a new adapter for an object of class '`Decision`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Decision`

    - #### createDecisionNodeAdapter

          public org.eclipse.emf.common.notify.Adapter createDecisionNodeAdapter()

      Creates a new adapter for an object of class '`Decision Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `DecisionNode`

    - #### createFlowControlAdapter

          public org.eclipse.emf.common.notify.Adapter createFlowControlAdapter()

      Creates a new adapter for an object of class '`Flow Control`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FlowControl`

    - #### createRuleActivityAdapter

          public org.eclipse.emf.common.notify.Adapter createRuleActivityAdapter()

      Creates a new adapter for an object of class '`Rule Activity`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RuleActivity`

    - #### createRuleflowAdapter

          public org.eclipse.emf.common.notify.Adapter createRuleflowAdapter()

      Creates a new adapter for an object of class '`Ruleflow`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Ruleflow`

    - #### createTerminateNodeAdapter

          public org.eclipse.emf.common.notify.Adapter createTerminateNodeAdapter()

      Creates a new adapter for an object of class '`Terminate Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TerminateNode`

    - #### createFlowAdapter

          public org.eclipse.emf.common.notify.Adapter createFlowAdapter()

      Creates a new adapter for an object of class '`Flow`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Flow`

    - #### createSubflowAdapter

          public org.eclipse.emf.common.notify.Adapter createSubflowAdapter()

      Creates a new adapter for an object of class '`Subflow`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Subflow`

    - #### createConnectorAdapter

          public org.eclipse.emf.common.notify.Adapter createConnectorAdapter()

      Creates a new adapter for an object of class '`Connector`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Connector`

    - #### createRuleModelElementAdapter

          public org.eclipse.emf.common.notify.Adapter createRuleModelElementAdapter()

      Creates a new adapter for an object of class '`Rule Model Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RuleModelElement`

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.